/* Hygge Admin Styles
 *------------------------------------------------------------*/



/*------------------------------------------------------------
 * Misc
 *------------------------------------------------------------*/

/* ThickBox multiple headers fix */
#TB_title ~ #TB_title { display: none; }
.wp-customizer #TB_window {z-index: 500002;}

.hygge-lightbox-active #TB_window,
.hygge-lightbox-active #TB_overlay { z-index: 160001;}


/*------------------------------------------------------------
 * Bg Control: Field
 *------------------------------------------------------------*/

.hygge-bg-control-field {
	background: url('../../../../img/patterns/trans.png');
	border: 1px solid #ccc; padding: 30px 0; text-align: center;}
.hygge-bg-control-field .button { opacity: 0; transition: all 0.2s ease-in-out;}
.hygge-bg-control-field:hover .button { opacity: 1;}



/*------------------------------------------------------------
 * Hygge Lightbox - Modal
 *------------------------------------------------------------*/

/* global lightbox style */
body.hygge-lightbox-active {overflow: hidden;}
.hygge-lightbox,
.hygge-lightbox-mask,
.hygge-lightbox-modal {top: 0;left: 0;right: 0;bottom: 0; box-sizing:border-box;}
.hygge-lightbox {position: fixed; z-index: 160000; display: none; -ms-overflow-y: auto; overflow-y: auto;}
.wp-customizer .hygge-lightbox {z-index: 500001;}
.hygge-lightbox-mask {background: rgba(255,255,255,0.8); position: fixed; }
.hygge-lightbox-modal {position: absolute; max-width: 90%; width: 800px; top: 30px; bottom:auto; margin: 0 auto 30px; box-shadow:0 0 10px rgba(0,0,0,0.4); background: #FFF;}
.hygge-lightbox-content {border-top: 1px solid #ddd; border-bottom: 1px solid #ddd; overflow: hidden; padding: 20px; }
table.hygge-lightbox-content {border-collapse: collapse; width: 100%; padding: 0;}
.hygge-lightbox-content .info { margin: 0px 0 20px;}
.hygge-lightbox-content .info:empty { display: none;}

.hygge-lightbox-head .title {font-weight: bold; font-size: 22px; padding: 20px;}
.hygge-lightbox .close-icon {position: absolute; top: 20px; right: 20px; cursor: pointer;}
.hygge-lightbox .close-icon:before {content: '\f158'; font: 400 20px/1 dashicons; speak: none; vertical-align: middle; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; color: #666; }
.hygge-lightbox .close-icon:hover:before {color: #2ea2cc;}

.hygge-lightbox-actions {padding: 20px;}
.hygge-lightbox .cl {clear: left;}



/* Form Items */
.hygge-lightbox .form-item {padding: 10px 0; overflow: hidden;}
.hygge-lightbox .form-item .title {display: block; margin-bottom: 5px; font-weight: bold;}
.hygge-lightbox .form-item .title + .description{display: block; margin-top: -3px; font-style: italic; color: #666; margin-bottom: 5px;}
.hygge-lightbox .form-item--radio-image .item {display: block; float: left; margin: 4px; overflow: hidden;}
.hygge-lightbox .form-item--radio-image .item input {display: none;}
.hygge-lightbox .form-item--radio-image .item div {display: block; width: 16px; height: 16px;  border:2px solid #ccc;}
.hygge-lightbox .form-item--radio-image .item input:checked + div {border-color:#2ea2cc;}

.hygge-lightbox .form-item input::-webkit-input-placeholder { color: #bbb; opacity: 1; }
.hygge-lightbox .form-item input:-moz-placeholder { color: #bbb; opacity: 1; }
.hygge-lightbox .form-item input::-moz-placeholder { color: #bbb; opacity: 1; }
.hygge-lightbox .form-item input:-ms-input-placeholder { color: #bbb; opacity: 1; }



/* BG Control Lightbox */
.hygge-lightbox--bg-control .bg-control-form {padding: 20px; border-right: 1px solid #ddd; width: 32%;}

.hygge-lightbox .form-item--repeat { float: left; width: 55%;}
.hygge-lightbox .form-item--position { clear: both; float: left; width: 55%;}


.hygge-lightbox .form-item--position .item  {margin: 2px;}
.hygge-lightbox .form-item--position .item div {background: #fafafa;}

.hygge-lightbox .form-item--pattern {clear: both;}
.hygge-lightbox .form-item--pattern .item div {border-width:2px; width: 31px; height: 31px;}
.hygge-lightbox .form-item--image .remove {line-height: 30px; cursor: pointer; padding-left: 10px;}



/* Icon Picker Lightbox */
.hygge-icon-picker-header {overflow: hidden; font-family: "Open Sans",sans-serif !important;}
.hygge-icon-picker-header .filter {float: right; margin-top: 0;}
.hygge-icon-picker-header .status {float: left;}
.hygge-icon-picker-header .title {font-size: 16px; line-height: 30px; font-weight: 700; padding-right: 10px; display: inline-block;}
.hygge-icon-picker-header input {line-height: normal; }
.hygge-icon-picker-header i {font-size: 24px; vertical-align: text-bottom; margin-right: 5px; display: inline-block;}


.hygge-icon-picker-list { overflow: auto; padding:20px 0 0; max-height: 370px;}
.hygge-icon-picker-list .item { margin: 0;}
.hygge-icon-picker-list .item span { display: block; width: 40px; height: 40px; line-height: 40px; text-align: center; border-radius:4px;}
.hygge-icon-picker-list .item span i { font-size: 24px; vertical-align: middle;}
.hygge-icon-picker-list .item:hover span { background: #ebebeb;}
.hygge-icon-picker-list .item input:checked + span { background: #2ea2cc; color:#fff;}
.hygge-icon-picker-list .item input:checked + span i:before { color:#fff !important;}



/* Shortcode Generator*/
.hygge-lightbox--sc-gen .form {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
}

.hygge-lightbox--sc-gen .form-item {
	width: 48%;
	padding: 2% 0;
}

.hygge-lightbox--sc-gen .form-item:nth-child(even){ padding-left: 2%; }
.hygge-lightbox--sc-gen .form-item:nth-child(odd){ padding-right: 2%; }

.hygge-lightbox--sc-gen .form-item input[type="text"],
.hygge-lightbox--sc-gen .form-item textarea,
.hygge-lightbox--sc-gen .form-item select {
	width: 98%;
}



/*------------------------------------------------------------
 * Hygge Upload Image field for widgets and sc-gen
 *------------------------------------------------------------*/

.hygge-lightbox .hygge-upload-image-button { vertical-align: middle; }
.hygge-upload-image-button .dashicons { vertical-align:text-top; padding: 0 5px 0 0; }
.hygge-upload-image-button ~ a { vertical-align: middle; cursor: pointer; margin-left: 10px; }
.hygge-image-preview { display: block; max-width: 100%; max-height: 120px; margin-top: 10px;}



/*------------------------------------------------------------
 * All Widgets Style
 *------------------------------------------------------------*/

.widget[id*='hygge'] .widget-inside label.hygge-big {
	display: block;
	font-size: 14px;
	font-weight: 700;
	color: #333;
	margin-bottom: 10px;
}

.widget[id*='hygge'] hr.hygge-big { margin: 25px 0;}
.widget[id*='hygge'] .custom-button input {display: inline-block; width: 49%; box-sizing: border-box;}



/*------------------------------------------------------------
 * Hygge Widget Social Picker
 *------------------------------------------------------------*/

.hygge-widget-social-picker { overflow: hidden; padding-bottom: 30px;}
.hygge-widget-social-picker > .form-row { display: none; }

.hygge-widget-social-picker .form .form-row { display: block; margin-bottom: 15px;}
.hygge-widget-social-picker .form .icon { display: block; float:left; margin-right: 5px;}
.hygge-widget-social-picker .form .icon i { display: inline-block; border: 1px solid #ddd; box-shadow: inset 0 1px 2px rgba(0,0,0,.07); background-color: #fff; margin: 1px; vertical-align: bottom; width: 25px; height: 25px;line-height: 25px; text-align: center; font-size: 20px;}
.hygge-widget-social-picker .form .title { display: block; float: left; margin-right: 5px;}
.hygge-widget-social-picker .form .title input { width: 98px;}
.hygge-widget-social-picker .form .remove { float: right; margin: 7px 0 0 10px;}
.hygge-widget-social-picker .form .url { display: block; overflow: hidden;}
.hygge-widget-social-picker .form .url input { width: 99%;}
.hygge-widget-social-picker .shortcode { display: block; clear: both; padding-top: 20px; font-style: italic; font-size: 1em; color: #777;}
.hygge-widget-social-picker .shortcode input { font-style: 12px; }
